SitePoint Sponsor

User Tag List

Results 1 to 4 of 4
  1. #1
    SitePoint Member
    Join Date
    Jan 2000
    Location
    Atlanta, GA, USA
    Posts
    2
    Mentioned
    0 Post(s)
    Tagged
    0 Thread(s)
    Howdy,
    I've encountered an error while trying to run the ./configure command line described in Kevin's articles. Everything seems to go fine until SAPI module configuration. The error I get reads, "Sorry, I cannot run apxs. Either you need to install Perl or you need to pass the absolute path of apxs by using --with-apxs=/absolute/path/to/apxs". The absolute path to apxs on my machine is '/usr/local/apache/bin/apxs', and I've edited the command line path accordingly. Also, I've got Perl working fine. (And, yes, permissions on apxs are 755.)

    Any help would be greatly appreciated. This one has stumped me. Thanks!

    -Taylor

  2. #2
    SitePoint Enthusiast
    Join Date
    Jun 2000
    Location
    Cork, Ireland
    Posts
    44
    Mentioned
    0 Post(s)
    Tagged
    0 Thread(s)
    The same thing happened to me, and the answer was simple (hope it's the same solution for you). I installed perl myself and had forgotten to add it to my path....

    Hope it works,

  3. #3
    SitePoint Member
    Join Date
    Jan 2000
    Location
    Atlanta, GA, USA
    Posts
    2
    Mentioned
    0 Post(s)
    Tagged
    0 Thread(s)
    Thanks for the reply, Ross. I'm using a packaged distribution of Red Hat 6.2 that came with perl installed, so I assume that it's in the path alright. How can I check this to be sure? If it's not right, how can I fix this?

    Thanks,
    -Taylor

  4. #4
    SitePoint Enthusiast
    Join Date
    Jun 2000
    Location
    Cork, Ireland
    Posts
    44
    Mentioned
    0 Post(s)
    Tagged
    0 Thread(s)
    Just type "which perl" to see if it is in your path. If you installed Apache with Red Hat apxs will be in /usr/sbin. So this could also be the problem.


Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •